question

henryC avatar image
henryC asked henryC posted

iTest 3.4.5 and 4.0 for Window 7 support

Hi,

 

iTest 3.4.5 and 4.0, Do they support Windows 7, what is the major issue if I install iTest 3.4.5 on window 7?

 

If I upgrade to 4.0, do both my license server and client has to be upgraded? if Yes, does upgraded license server support 3.4.5 client too?

 

I have installed iTest 4.0 on window 7, but it fails to get float license from existing license server which support 3.4.5 client.

 

Thanks,

 

Henry

iTestinstallation - licensing
10 |950

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

1 Answer

·
ZhongyuZ avatar image
ZhongyuZ answered ZhongyuZ posted

Not sure about licensing.

 

If you use Windows 7, always use system admin account to install/update because C:\Program Files folder is a system folder. It's also better to use admin account to launch iTest. Otherwise Eclipse creates a per user configuration folder in your home to store some meta data and cache which may cause some confusion later. 3.4.5 is not supported on Windows 7. The installer may not recognize Windows 7 and some GUI buttons may be missing or look weird, because the installer software is on an older version that does not support Windows 7 yet.

7 comments
10 |950

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

HosoonK avatar image HosoonK commented ·

You will need a new license key when moving from iTest 3.x to 4.0 regardless node-locked or floating.

Please contact fanfare support or your sales account to get the new license keys.

 

Windows 7 is now supported as a beta with some limitation in certain application. For example, Web and HPQC application does not work sine they are not supported in IE8. Other than these limitations most of other application are all working in Windows 7.

0 Likes 0 ·
henryC avatar image henryC HosoonK commented ·

Hi,

 

Thank you all for the answer.

 

I have some additonal questions:

 

Q1: When you see admin account in Window 7, it means any account with administrator privilege, right?

 

Q2: If we use internal browser or firefox instead of IE8, shall web application be good in iTest 4.0?

 

Q3: Can we use one license server to support both iTest 3.4 and iTest 4.0 client?  We probably not be able to upgrade all 3.4 clients to 4.0 across different teams.

 

Q4: Can we expect that all test cases developed in iTest 3.4 shall be good in iTest 4.0?

 

Thanks,

 

Henry

0 Likes 0 ·
ZhongyuZ avatar image ZhongyuZ henryC commented ·

Q1: Yes, the accounts with admin privilege will do. It's suggested to run "as administrator" to install and update iTest.

 

Q4: Yes, 3.4 test cases are compatible with iTest 4.0. But they will be saved in 4.0 format.  You can refer to Installation guide Appendix 11 for more details.

0 Likes 0 ·
VidyaH avatar image VidyaH henryC commented ·

Q2: If we use internal browser or firefox instead of IE8, shall web application be good in iTest 4.0?

 - Yes, using internal browser for Web applications should be good in iTest 4.0

 

Q3: Can we use one license server to support both iTest 3.4 and iTest 4.0 client?

- I do not think you can have one license server for both 3.4 and 4.0 support.

 

Q4: Can we expect that all test cases developed in iTest 3.4 shall be good in iTest 4.0?

- Yes, all test cases developed in 3.4 should work fine in 4.0 version.

0 Likes 0 ·
IvanS avatar image IvanS VidyaH commented ·

Q3: Can we use one license server to support both iTest 3.4 and iTest 4.0 client?

- Probably you can use same Flex license server for both iTest 3.4 and iTest 4.0. Flex license server can run vendor daemons from various vendors on one server. Not sure if it can run multiple daemons from same vendor (Fanfare). But you can try just make sure that you are running 2 licensing domains - one for 3.4 and second one for 4.0.

0 Likes 0 ·
henryC avatar image henryC IvanS commented ·

Thanks all for the answer. One last question:

 

Are there any additional cost of 4.0 license for our existing Modules?

0 Likes 0 ·
JeffJ avatar image JeffJ ♦ henryC commented ·

Not really a question that can be answered here as one would need to better understand the modules you have and what type of maintenance you are on.  I'd suggest directing this question to your local Sales Team.  If you are not sure who they are, contact me privately and I'll direct you to them.

0 Likes 0 ·

Write an Answer

Hint: Notify or tag a user in this post by typing @username.

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.